package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.ElectricMeterInfo;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface ElectricMeterInfoService {
	ElectricMeterInfo get(String id);
	boolean exist(String id);
	int insert(ElectricMeterInfo model);
	int update(ElectricMeterInfo model);
	int delete(String id);
	int getCountByMNoAndUNo(String meterNo, String unitNo, String excludeId);
	List<ElectricMeterInfo> list();
	Page<ElectricMeterInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}